RHNSD(8)

NAME
rhnsd - A program for querying the Red Hat Network for updates and information.

SYNOPSIS

rhn_check [options]

DESCRIPTION

rhnsd is a background daemon process that periodically polls the Red Hat Network to see if there are any queued actions available. If any are queued, rhnsd will execute those actions.

rhnsd is typically started from the initialization (init) scripts in /etc/init.d/rhnsd. when it's time to poll the Red Hat Network servers for available updates and actions. The default interval is every 240 minutes. The minimum polling interval is 60 minutes.

To check for updates, rhnsd runs an external program called rhn_check. This is a small application that actually makes the network connection to Red Hat Networks.

The rhnsd daemon does not listen on any network ports, nor does it ever talk to the network directly. Any network activity is done via the rhn_check utility.

rhnsd can be configured by editing the /etc/sysconfig/rhn/rhnsd. configuration file. This is actually the configuration file the rhnsd initialization script /etc/init.d/rhnsd. uses.

OPTIONS

-i, --interval
    Specify the interval that rhnsd should wait between checking the Red Hat Network. Default is 240 minutes, the minimum is 60 minutes. This can also be specified in /etc/sysconfig/rhn/rhnsd

-f, --foreground
    force the rhnsd process to run in the foreground instead of automatically backgrounding itself, as it does by default.

FILES

/etc/sysconfig/rhn/rhnsd
    Configuration settings for the rhnsd daemon's initialization script.

SEE ALSO

rhn_check(8), rhn_register(8), rhnsd(8), rhn-profile-sync(8), rhnplugin(8), up2date(5).

AUTHORS

Preston Brown <pbrown@redhat.com>
Cristian Gafton <gafton@redhat.com>
Adrian Likins <alikins@redhat.com>
James Bowes <jbowes@redhat.com>

BUGS

Report bugs to <http://bugzilla.redhat.com>.

COPYRIGHT

Copyright © 1999-2006 Red Hat, Inc.

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.